-- level/world generator configuration file, type 4

{
   totalSize = 400000,          -- radius of whole map
   color = 0x404040,

   fleets = { { 49, { { 0, 10000 }, {1, 300} } },
      { 49, { { 0.5, 0}, { 0.51, 6000 }, {1, 500}}},
      { 48, { { 0.5, 0}, {0.7, 4000}, {0.9, 0} } } },

   ambient = { },
   ident = 2,

   subregions = {

      -- this region generates the default player faction areas
      -- the map is generated and saved in sectors, each sector is a 6000 unit wide square
	  
	  		       {
         ident = 200,  -- Eternal Fleet
		 color = 0xa44256,
         count = 1,      
         radius = { 0.03, 0.05 }, 
         position = { 0.7, 0.90 },
         fleets = { { 54, { { 0, 5000}, {1, 80000} } } },
         fleetCount = { { 10, 20 } },
      },
	  
	  	 {
         ident = 201,  --  Chiss
		 color = 0x001559,
         count = 1,
         radius = { 0.2, 0.5 },
         position = { 0.7, 0.9 },
         fleets = { { 51, { { 0, 18000}, {1, 8000} } } },
         unique  =  { {"51_star_destroyer2_sumplkrum_[4927P]"}, {"51_base_sumplkrum_[4697P]"} ,{"51_star_destroyer2-B_sumplkrum_[5136P]"} },
      },
	  
	  
	  	  	 {
         ident = 202,  -- Ssi-ruuvi
		 color = 0xbe9b22,
         count = 1,
         radius = { 0.1, 0.3 },
         position = { 0.7, 0.9 },
         fleets = { { 57, { { 0, 12000}, {1, 8000} } } },
         unique  =  { {"57_base_sumplkrum"} },
      },
	  
	  
	        {
         ident = 203,  --Vong
         count = 6,
         radius = { 0.1, 0.2 },
         position = { 0.9, 1.0 },
         fleets = { { 50, { { 0, 60000}, {1, 14000} } } },

         unique = { { "50_world_ship_sumplkrum_[17701P]" }, { "50_battleship_sumplkrum_[14789P]" } ,  { "50_Kor_Chokk_grandcruiser_sumplkrum_[6252P]" } ,  { "50_Yorik-vec_assaultcruiser_sumplkrum_[4761P]" } , { "50_Suuv_Ban_D'Krid_gunship_sumplkrum_[5398P]" } , { "50_Miid_ro'ik_sumplkrum_[10150P]" } },
         fortress = { "50_Ro'ik_chuun_m'arh_frigate_sumplkrum_[2614P]", "50_coral_skipper_sumplkrum_[388P]", "50_coral_skipper_sumplkrum_[388P]", "50_coral_skipper_sumplkrum_[388P]" },
         fortressCount = { 4, 5 },
      },
	  
	  
	  	 {
         ident = 204,  -- Abominor
		 color = 0x1e1227,
         count = 2,      
         radius = { 0.03, 0.05 }, 
         position = { 0.7, 0.9 },
         fleets = { { 53, { { 0, 5000}, {1, 8000} } } },
         fleetCount = { { 1, 10 } },
      },
	  
	  	 {
         ident = 205,  -- Killik
		 color = 0x092514,
         count = 6,
         radius = { 0.03, 0.1 },
         position = { 0.7, 0.9 },
         fleets = { { 56, { { 0, 10000}, {1, 10000} } } },
         unique  =  { {"56_nest_ship_sumplkrum"} },
      },
		
		
		{
         ident = 206,  -- Vagaari
		 color = 0x2f281d,
         count = 5,
         radius = { 0.03, 0.1 },
         position = { 0.7, 0.9 },
         fleets = { { 58, { { 0, 12000}, {1, 12000} } } },
		 fleetCount = { { 10, 15 } }   
         unique  =  { {"58_civilian_transport_sumplkrum"} , {"58_paskla_sumplkrum"} , {"58_warship_sumplkrum"} , {"58_warship_sumplkrum"} , {"58_warship_sumplkrum"} },
      },
	  
	  	  	 {
         ident = 207,   -- Silentium
		 color = 0xa3a2a0,
         count = 2,      
         radius = { 0.03, 0.05 }, 
         position = { 0.7, 0.9 },
         fleets = { { 59, { { 0, 5000}, {1, 8000} } } },
      },
	  
	  
	  {
         ident = 208,
		 color = 0x7c8190,
         count = 1,
         radius = { 0.1, 0.5 },
         position = { 0.01, 0.03 },
         fleets = { { 47, { { 0, 40000}, {1, 1200} } } },
         unique  = { { "47_deathstar_sumplkrum_[8711P]"},{ "47_tie_bomber_sumplkrum_[354P]","47_tie_starfighter_sumplkrum_[45P]", "47_tie_starfighter_sumplkrum_[45P]" }
            { "47_victory2_stardestroyer_sumplkrum_[1461P]", "47_Tie_aggressor_sumplkrum_[238P]", "47_Tie_interceptor_sumplkrum_[55P]" } },
         fortress = { "47_victory_stardestroyer_sumplkrum_[1503P]", "47_tie_starfighter_sumplkrum_[45P]", "47_tie_starfighter_sumplkrum_[45P]" , "47_tie_starfighter_sumplkrum_[45P]" , "47_tie_starfighter_sumplkrum_[45P]" },
         fortressCount = { 1, 3 },
		          ambient = { -1 },  
				         fleetFraction = 0.9,
      },
	  
	  
	        {  
         ident = 209,
		 color = 0x7c8190,
         count = 8,
         radius = {0.05, 0.1},
         type = 1,
         position = {0.01, 0.6},
         fleets = { { 47, { {0, 40000}, {1, 6000} } } },
         unique  = { { "47_executor_sumplkrum_[7995P]"}, {"47_imperial2_stardestroyer_ion" } },
         ambient = { -1 },
				         fleetFraction = 0.9,
      },
	  
	  	       {
         ident = 210,     -- Separatists
		 color = 0x522e00,
         count = 10,
         radius = { 0.03, 0.08 },
         position = { 0.7, 1.0 },
         fleets = { { 52, { { 0, 28000}, {1, 10000} } } }, 
         unique  =  { {"52_supply_ship"}, {"52_supply_shipp_missile"} ,{"52_lucrehulk_turbolaser"}, {"52_lucrehulk_quadlaser"} , {"52_lucrehulk_clustmissile"}  },
      },
		 
	  
	  
      {
         ident = 211,  
		 color = 0x4b5061,	 -- unique identifier for this region (goes in generated map save files)
         count = 8,               -- generate 8 of these subregions
         radius = { 0.05, 0.15 },  -- each is 10-15% of the radius of the whole map
         position = { 0.03, 0.07 }, -- place between 10-100% of the way to edge of map
         fleets = { { 47, { { 0, 7000}, {1, 1000} } } }, -- fill with faction 8 ships, each sector has 3500P at center, 1000P at edge
         fleetCount = { { 4, 12 } }                      -- each sector has 4-8 ships
                             -- plant type (0, 1, 2) are (green, blue, pink)
      },
{
         ident = 212,
		 color = 0x7c8190,
         count = 10,
         radius = 0.1,
        position = {0.01, 0.05},
         fleets = { { 47, { { 0, 34000}, {1, 12000} } } },
         asteroidSize = { 10, 100 },
         asteroidDensity = { 0.0, 0.2 },
		  ambient = { -1 },
				         fleetFraction = 0.9,
      },


      {  
         ident = 213,
		 color = 0x680404,
         count = 6,
         radius = {0.05, 0.1},
         position = {0.3, 0.7},
         fleets = { { 49, { {0, 18000}, {1, 4000} } } },
         unique  = { { "49_rebel_base_sumplkrum_[1088P]" }, { "49_MC80_mon_calamari_sumplkrum_[7998P]" } },
         fortress = { "49_T-65_X-wing_sumplkrum_[250P]","49_T-65_X-wing_sumplkrum_[250P]","49_T-65_X-wing_sumplkrum_[250P]", "49_corellian_gunship_sumplkrum_[1064P]" },
         fortressCount = { 3, 4 },
         fortressRadius = { 600, 700 },
		          ambient = { -1 },  
				         fleetFraction = 0.9,
      },
      {  
         ident = 214,
		 color = 0x7c8190,
         count = 10,
         radius = 0.03,
         position = {0.01, 0.2},
         fleets = { { 47, { {0, 16000}, {1, 4000} } } },
		 fleetFraction = 0.6,
         ambient = { -1 },
				         fleetFraction = 0.9,
      },
      { 
         ident = 215,
		 color = 0x7c8190,
         count = 10,
         radius = {0.05, 0.06},
         position = {0.01, 0.3},
         type = 2,
         fleets = { { 47, { {0, 50000}, {1, 15000} } } },
         fleetCount = { { 3, 5 }, { 5, 10 } },
         fleetFraction = 0.6,
         fortress = { "47_imperial_stardestoyer_turbolaser", "47_Tie_advanced_sumplkrum_[125P]", "47_tie_starfighter_sumplkrum_[45P]" },
         fortressCount = { 1, 6 },
         fortressRadius = { 500, 700 },
		          ambient = { -1 },  
				         fleetFraction = 0.9,
      },
      {
         ident = 216,
		 color = 0x4a1600,
         count = 4,
         radius = {0.07, 0.15},
         position = {0.3, 0.5},
         fleets = { { 49, { {0, 30000}, {1, 10000} } } },
         unique  = { { "49_m40" } },
      },
	  {
         ident = 217,
		 color = 0x4a1600,
         radius = {0.07, 0.15},
         count = 4,
         position = {0.3, 0.6},
         asteroidFlags = SQUARE,
         fleets = { { 49, { {0, 7000}, {1, 16000} } } },
		      unique  = { { "49_m30_ion" } },
   
      },


      {
         ident = 218,
		 color = 0x680404,
         count = 10,
         radius = { 0.05, 0.10 },
         position = { 0.3, 0.7 },
         fleets = { { 49, { { 0, 8000}, {1, 2000} } } },
         fleetCount = { { 15, 20  } },
         unique  =  { { "49_rebel_base_sumplkrum_[1088P]" }, { "49_m30_missile" }, { "49_nebulon_bomb" } },
      },
      {
         ident = 219,  -- pirates
		 color = 0x000000,
         count = 20,
         radius = { 0.02, 0.05 },
         position = { 0.4, 1.0 },
         fleets = { { 48, { { 0, 28000}, {1, 2000} } } },
         unique  =  { {"48_XQ3_station_sumplkrum_[1666P]"} },
      },
	   {
         ident = 220,
         color = 0xff0000,
         count = 10,
         radius = 0.04,
         position = { 0.1, 0.8 },
         type = 2,
         asteroidSize = { 3, 10 },
         asteroidDensity = { 0.2, 0.3 },
         asteroidFlags = EXPLOSIVE|TRIANGLE,
      },
      {
         ident = 221,
         count = 10,
         radius = 0.1,
         position = { 0.5, 1.0 },
         type = 2,
         asteroidDensity = { 0 },
      },



	 


	 
   }
}
